import { IMethodResponse, IResponse, AmauiTheme, TValueObjectValue } from '@amaui/style';
import { IOptions } from '@amaui/style/style';
export declare type TValueObject = Record<string, TValueObjectValue>;
declare type RecursiveRequired<T> = {
    [P in keyof T]-?: T[P] extends Function ? T[P] : RecursiveRequired<T[P]>;
};
export declare type ThemeRequired = RecursiveRequired<AmauiTheme>;
export declare type TValueMethod = (theme: ThemeRequired) => TValueObject;
export declare type TValue = TValueObject | TValueMethod;
export interface IResponseStyle extends IMethodResponse {
    amauiTheme?: AmauiTheme;
}
export declare const propsAreNew: (props: any) => string;
export default function style(value: TValue, options_?: IOptions, responses_?: Array<IResponseStyle>): (props_?: any) => IResponse;
export {};
